MediaWiki:Common.css

From Drawn to Life Wiki
Revision as of 13:50, 21 November 2020 by BakiDance (talk | contribs)

Note: After saving, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer / Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Go to Menu → Settings (Opera → Preferences on a Mac) and then to Privacy & security → Clear browsing data → Cached images and files.
  /*********/
 /* Fonts */
/*********/
/*Arco is the main h1 font*/
@font-face {
    font-family: 'ARCO';
    src:url('ARCO.ttf.woff') format('woff'),
        url('ARCO.ttf.svg#ARCO') format('svg'),
        url('ARCO.ttf.eot'),
        url('ARCO.ttf.eot?#iefix') format('embedded-opentype'); 
    font-weight: normal;
    font-style: normal;
}

/*
@font-face {
  font-family: "ArtBrush";
  font-style: normal;
  font-weight: normal;
  src: url("https://vignette.wikia.nocookie.net/drawntolife/images/f/fc/Artbrush.ttf") format("truetype");
}
 
@font-face {
  font-family: "Raposa";
  font-style: normal;
  font-weight: normal;
  src: url("https://vignette.wikia.nocookie.net/drawntolife/images/c/c3/Raposa.ttf") format("truetype");
}
*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Rubik&display=swap');

  /***********/
 /* Tabbers */
/***********/
#mw-content-text .tabber div.tabbertab,
#mw-content-text .tabber ul.tabbernav {
    border: none;
}
#mw-content-text .tabber ul.tabbernav {
    display: flex;
    flex-flow: row nowrap;
    padding: 0;
    font-family: Rubik,"Helvetica Neue",Helvetica,Arial,sans-serif;
    overflow: auto;
}
 
/**
 * @section         Tab restyling
 * @element         .tabbernav li
 */
 #mw-content-text .tabber ul.tabbernav li {
    display: flex;
}
#mw-content-text .tabber ul.tabbernav li:not(.tabberactive) a,
#mw-content-text .tabber ul.tabbernav li.tabberactive a {
    background: initial;
    border-color: currentColor;
    border-width: 0 0 2px !important;
    color: inherit;
    font-size: 12px;
    font-weight: 700;
    line-height:  0;
    margin: 0;
    padding: 13px 11px;
    text-align: center;
    text-transform: uppercase;
    transition: opacity 0.3s;
    white-space: nowrap;
}
#mw-content-text .tabber ul.tabbernav li:not(.tabberactive) a {
    opacity: 0.25;
}
#mw-content-text .tabber ul.tabbernav li:not(.tabberactive):hover a {
    opacity: 0.5;
}